database_version Struct Reference

`#include <database_version.h>`

## Data Fields

db_object_t * | dbo
db_value_t | id
db_value_t | rev
unsigned int | version

## Detailed Description

A database version object.

Definition at line 45 of file database_version.h.

## Field Documentation

## dbo

db_object_t* database_version::dbo

Definition at line 46 of file database_version.h.

Referenced by database_version_free(), and database_version_new().

## id

db_value_t database_version::id

Definition at line 47 of file database_version.h.

Referenced by database_version_free(), database_version_from_result(), and database_version_new().

## rev

db_value_t database_version::rev

Definition at line 48 of file database_version.h.

Referenced by database_version_free(), database_version_from_result(), and database_version_new().

## version

unsigned int database_version::version

Definition at line 49 of file database_version.h.

Referenced by database_version_from_result(), and database_version_version().

The documentation for this struct was generated from the following file:

- src/db/database_version.h